package org.jeecg.ctop.finance.agent.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

public interface AgentManagementService {
    //获取TOKEN
    public String getToken();

    //查询代理商下账户
    public  JSONObject selectAgentAdvertiser(int pageNum, int pageSize);


    //查询账号流水
    public JSONObject queryAccountTransactionDetails(String AccountId, String transaction_type, int pageNum, int pageSize, String startDate, String endDate);

    //查询账号流水
    public JSONObject queryAccountTransactionDay(String AccountId, int pageNum, int pageSize, String startDate, String endDate);

    //同步代理商账户入库
    public Result synchronousAccount();

    //同步账户交易流水
    public Result synchronousAccountTransactionDetails(String startDate, String endDate);

    //同步账户日流水
    public Result synchronousAccountTransactionDay(String startDate, String endDate);
}
